Subject: bug#67661: 30.0.50; *Completions* has started popping up for icomplete-in-buffer

From: Sean Whitton <[email-masked]>
Date: Fri, 15 Dec 2023 12:28:38 +0000

Hello,

On Mon 11 Dec 2023 at 07:15pm +02, Juri Linkov wrote:

>>>   (completion--in-region-1 start end)
>>>
>>> If you just remove this line from `completion--in-region` then
>>> it should work like you expected without popping up *Completions*.
>>
>> Thanks, that does indeed restore the behaviour.
>>
>> Should we change this to a different completion-in-region-function in
>> icomplete.el, then?  Or what did you have in mind?
>
> What I think is that ideally icomplete-in-buffer in a regular buffer
> should work like in the minibuffer, i.e. to be active all the time.
> This is more like completion-preview-mode where in-buffer candidates
> are shown as you type, whereas explicitly typing M-C-i pops up
> the *Completions* buffer.  Do you agree this would be nice to do?

Hmm.  This is an interesting idea.  I don't think it would suit me,
though -- it sounds like it would be quite visually noisy.  Do you think
we can provide both?

-- 
Sean Whitton